/*
 *--- PGetLayerList.cpp ---------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetLayerList.html
 *-------------------------------------------------------------------------
 */

#include "PGetLayerList.h"
#include "PReplyBuf.h"


PGetLayerList::PGetLayerList()
: PListQuery(pm_getlayerlist)
{
	Scan();
}

void PGetLayerList::Scan()
{
	PReplyBuf reply(listMom.Current());
	
	reply	>> &sName
			>> nShow
			>> nLock
			>> nColorIndex
			>> lRed
			>> lGreen
			>> lBlue;
	
	listMom.Update(reply);
}


// end of PGetLayerList.cpp
